# $Revision: 1.87 $, $Date: 2009/08/29 11:23:19 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make check"
#
Summary:	A GNU stream text editor
Summary(de.UTF-8):	GNU Stream-Text Editor
Summary(es.UTF-8):	Editor de stream de la GNU
Summary(fr.UTF-8):	Éditeur de flot de GNU
Summary(ja.UTF-8):	GNU ストリームテキストエディター
Summary(pl.UTF-8):	Edytor GNU strumienia tekstu
Summary(pt_BR.UTF-8):	Editor de stream da GNU
Summary(ru.UTF-8):	Потоковый редактор текста GNU
Summary(tr.UTF-8):	GNU dosya işleme aracı
Summary(uk.UTF-8):	Потоковий редактор тексту GNU
Name:		sed
Version:	4.2.1
Release:	2
License:	GPL v3+
Group:		Applications/Text
Source0:	http://ftp.gnu.org/gnu/sed/%{name}-%{version}.tar.gz
# Source0-md5:	f0fd4d7da574d4707e442285fd2d3b86
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	5cd651063bfc00a82d820ba018672351
Patch0:		%{name}-info.patch
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8
BuildRequires:	gettext-devel >= 0.14
BuildRequires:	texinfo
%if %{with tests}
%if "%(locale -a | grep -q '^ru_RU\.utf8$' ; echo $?)" == "1"
BuildRequires:	glibc-localedb-all
%endif
%endif
Obsoletes:	ssed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin

%description
The sed (Stream EDitor) editor is a stream or batch (non-interactive)
editor. Sed takes text as input, performs an operation or set of
operations on the text and outputs the modified text. The operations
that sed performs (substitutions, deletions, insertions, etc.) can be
specified in a script file or from the command line.

%description -l de.UTF-8
sed (Stream EDitor) ist ein Stream- oder Batch- (nicht-interaktiver)
Editor. Sed nimmt als Eingabe einen Text, führt darauf Operationen
aus, und gibt einen veränderten Text aus. Die Operationen, die sed
ausführt (Ersetzen, Löschen, Einfügen, usw.) können über eine
Skriptdatei oder über die Kommandozeile angegeben werden.

%description -l es.UTF-8
Sed copia los archivos nombrados (archivos de la entrada padrón por
por defecto) para la salida padrón, editado de acuerdo con un script
de comandos.

%description -l fr.UTF-8
sed copie les fichiers indiqués (l'entrée standard par défaut),
modifiés en fonction d'un script de commandes, vers la sortie
standard.

%description -l ja.UTF-8
sed (Stream Editor)
エディターはストリームまたはバッチ(非インタラクティブ)
エディターです。sed は入力としてテキストを用い、テキストの操作または
操作のセットをテキストとに対して行い、修正されたテキストを出力します。
sed が行う操作 (置換、削除、挿入、その他) はスクリプトファイルか、
コマンドラインから指定されます。

%description -l pl.UTF-8
Sed (Stream EDitor) jest edytorem strumieni lub wsadowym
(nieinteraktywnym) edytorem. Sed pobiera tekst na wejściu, przetwarza
go według zestawu operacji i oddaje na wyjściu przetworzony tekst.
Operacje, które ma wykonywać, mogą być zapisane w postaci skryptu lub
podane w linii poleceń.

%description -l pt_BR.UTF-8
O sed copia os arquivos indicados (ou a entrada padrão caso não
especificado) para a saída padrão, editado de acordo com um roteiro de
comandos.

%description -l ru.UTF-8
sed (Stream EDitor) - это потоковый или пакетный (не-интерактивный)
редактор. sed исполняет операции над подаваемым ему на вход текстом и
выдает модифицированный текст. Операции, которые sed выполняет
(подстановки, удаления, вставки и др.) могут быть заданы в файле
сценария или с командной строки.

%description -l tr.UTF-8
Sed, belirtilen dosyaları, verilen komutlara göre işleyerek standart
çıktıya kopyalar. Genellikle, metin dosyalarında bir katarın yerine
başka bir katar yazmakta kullanılır.

%description -l uk.UTF-8
sed (Stream EDitor) - це потоковий чи пакетний (не-інтерактивний)
редактор. sed виконує операції над текстом, що подається йому на вхід
та виводить модифікований текст. Операції, які sed виконує
(підстановки, видалення, вставки та ін.) можуть бути задані в файлі
сценарію чи з командного рядка.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f $RPM_BUILD_ROOT%{_mandir}/README.sed-non-english-man-pages

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/sed.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sed.spec,v $
Revision 1.87  2009/08/29 11:23:19  glen
- use existing package

Revision 1.86  2009/08/28 16:54:01  wiget
- tests requires ru_RU.utf8
- release 2

Revision 1.85  2009/07/04 06:40:10  arekm
- up to 4.2.1

Revision 1.84  2009/05/02 08:57:34  arekm
- rel 2

Revision 1.83  2009/05/02 08:35:12  arekm
- up to 4.2; follow on symlink now available as option

Revision 1.82  2008/11/10 20:37:38  arekm
- rel 5; fix relative . dir

Revision 1.81  2008/11/10 19:51:12  arekm
- rel 4; fedora patches

Revision 1.80  2008-04-08 08:24:54  glen
- unify ftp.gnu.org urls

Revision 1.79  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.78  2007/09/05 14:14:55  baggins
- rel 3

Revision 1.77  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.76  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.75  2006/06/09 19:13:19  glen
- rel 2

Revision 1.74  2006/05/31 23:48:34  glen
- avoid /bin/sh dep just to regenerate (optional!) info dir
- check-files cleanup

Revision 1.73  2006/02/05 19:43:25  qboosh
- updated to 4.1.5, added pl.po-update patch

Revision 1.72  2005/03/21 18:15:43  mmazur
- rel2 for th

Revision 1.71  2005/01/28 21:12:42  paszczus
- updated to 4.1.4 ; STBR

Revision 1.70  2005/01/22 01:31:54  qboosh
- updated to 4.1.3, removed obsolete tests patch

Revision 1.69  2004/12/25 18:04:57  qboosh
- automake epoch

Revision 1.68  2004/12/20 18:58:09  qboosh
- BR: texinfo

Revision 1.67  2004/10/12 21:30:15  mmazur
- rel 3 for th

Revision 1.66  2004/08/26 08:19:05  blues
- release 2

Revision 1.65  2004/08/24 21:19:53  qboosh
- updated to 4.1.2, removed obsolete pl.po-update patch

Revision 1.64  2004/07/08 19:19:01  qboosh
- updated to 4.1.1, updated pl.po-update patch (from GNU TP)
- removed obsolete permissions patch

Revision 1.63  2004/07/04 14:10:20  areq
- add permissions.patch

Revision 1.62  2004/06/17 20:56:43  qboosh
- added pl.po-update patch

Revision 1.61  2004/06/17 20:50:14  blues
- release 2

Revision 1.60  2004/06/17 13:40:49  qboosh
- autoheader, noticed outdated pl.po

Revision 1.59  2004/06/16 18:42:22  grzegol
- added tests patch (fix version test)

Revision 1.58  2004/06/16 17:36:46  paszczus
- updated to 4.1

Revision 1.57  2004/06/14 19:53:54  jack
- corrected BR: automake >= 1.8

Revision 1.56  2004/01/11 22:16:49  qboosh
- updated to 4.0.9, removed obsolete pl.po patch, new-style bcond

Revision 1.55  2003/10/25 23:16:37  qboosh
- updated pl.po patch based on official translation update from GNU TP
  (which was partially based on my translation ;))
- release 2

Revision 1.54  2003/10/24 20:50:22  qboosh
- updated to 4.0.8
- replaced pl.po patch with just update/fixes to official translation

Revision 1.53  2003/08/24 17:48:06  mmazur
- for ac: sed rel2; file rel3

Revision 1.52  2003/06/02 15:48:33  ankry
- added/restored non-english-man-pages URL

Revision 1.51  2003/05/25 11:00:59  malekith
- massive attack, adding Source-md5

Revision 1.50  2003/05/25 06:26:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.49  2003/04/11 10:07:00  misi3k
- updated to 4.0.7

Revision 1.48  2003/04/07 10:04:35  qboosh
- bcond description

Revision 1.47  2003/04/06 23:07:49  kloczek
- added "make check" depnding on tests bcond.

Revision 1.46  2003/03/19 13:04:49  areq
-  4.0.6

Revision 1.45  2003/01/04 23:50:57  qboosh
- 4.0.5, updated info and pl.po patches

Revision 1.44  2002/11/25 22:47:16  qboosh
- updated to sed 4.0.1, updated info patch
- removed obsolete patches: (null),ac25x,autoconf_fix,doc
- added pl.po patch

Revision 1.43  2002/10/09 13:14:46  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.42  2002/05/21 23:14:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.41  2002/04/10 22:34:28  qboosh
- added ac25x patch needed for autoconf 2.53; release 14

Revision 1.40  2002/04/10 17:57:10  kloczek
- merg translations from Kondara.

Revision 1.39  2002/04/10 17:55:15  kloczek
- merge doc patch from RH,
- merge translations from KSI and Conectiva,
- run autoheader in %build.

Revision 1.38  2002/04/10 13:18:26  qboosh
- Obsoletes s/sed/ssed/

Revision 1.37  2002/04/08 14:22:28  pioklo
- fix obsoletes and providies,STBR

Revision 1.36  2002/04/07 11:46:23  pioklo
- add  Provides and Obsoletes ,relase 13
- STBR

Revision 1.35  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.34  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/01/18 02:14:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/11/15 23:15:41  ankry
- added de,fi.hu,ja,pl man pages
- release 12

Revision 1.31  2001/08/11 01:14:58  kloczek
- reelase 11,
- correctly regenerate am/ac files on top %build,
- added automake, atoconf to BuildRequires.

Revision 1.30  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.28  2000/10/25 02:56:51  kloczek
- release 10: use new rpm automation.

Revision 1.27  2000/08/01 13:57:03  kloczek
- spec adapterized,
- pass LDFLAGS="-s" to autoconf script environment in %build instead use
  install-strip target in %install.

Revision 1.26  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.25  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.24  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.23  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.22  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.20  2000/02/07 18:23:03  baggins
- fixed %defattr

Revision 1.19  1999/11/08 16:19:51  kura
fixed pl translations

Revision 1.18  1999/09/24 10:45:03  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.17  1999/09/21 01:02:06  kloczek
- release 8,
- new en, de (from Mandrake spec) and pl Summary and %description for sed.

Revision 1.16  1999/09/19 10:20:38  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.15  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Jun 17 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [3.02-7]
- based on RH spec,
- spec rewrited by PLD team,
- pl translation Marcin Korzonek <mkorz@shadow.eu.org>.
